start :-
	nxt_open,
	thread_create(search,_,[detached(true)]),
	trigger_create(_, found, clean),
	trigger_create(_,touch,stop).
:- 
	consult('plnxt.pl'), 
	start.
 
search :-
	write('search'), nl,
	nxt_stop,
	
	nxt_rotate(150, 36000),
	sleep(5).
	%stop.

clean :-
	write('clean'), nl,
	nxt_stop,
	nxt_go(300),
	sleep(3),
	write('back'),nl,
	nxt_stop,
	nxt_go(-300),
	sleep(3),
	trigger_create(_, found, clean),
	search.


found :-
	nxt_ultrasonic(V, force),
	write(V), nl,
	V < 15.


touch :-
	nxt_touch(V, force),
	V = 1.

stop :-
	nxt_play_tone(220,500),
	trigger_killall,
	nxt_stop,
	nxt_close.
