start :-
	nxt_open,
	%nxt_light_LED(activate),
	thread_create(search,_,[detached(true)]),
	%trigger_create(_,red,escape),
	trigger_create(_,touch,stop).
:- 
	consult('plnxt.pl'), 
	start.
 
search :-
	nxt_stop,
	%trigger_create(_,black,rotate),
	trigger_create(_,red,escape),
	nxt_go(140).

rotate :-
	nxt_stop,
	nxt_rotate(350, 90 + random(90)),
	sleep(2),
	search.	

escape :-
	nxt_play_tone(440,100),
	nxt_stop,
	nxt_go(500), sleep(3), nxt_stop.

% Sprawdzenie, czy natężenie dźwięku przekracza progową wartość.
black :-
	nxt_light(Value,force),
	write(Value),nl,
	Value < 28.

red :-
	nxt_light(Value,force),
	write(Value),nl,
	Value < 33,
	Value > 26,
	sleep(0.1),
	nxt_light(Value2,force),
	write('2: '),write(Value2),nl,
	Value2 < 33,
	Value2 > 26.

touch :-
	nxt_touch(V, force),
	V = 1.

stop :-
	trigger_killall,
	nxt_stop,
	nxt_close, halt.
